[Launch]
ProgramExecutable64="ScreenRecorder64\Aiseesoft Screen Recorder.exe"
ProgramExecutable="ScreenRecorder\Aiseesoft Screen Recorder.exe"
SingleAppInstance=true
WaitForProgram=true
WaitForExe1=Aiseesoft Screen Recorder.exe
WaitForExe2=Aiseesoft Screen Recorder Camera.exe
WaitForExe3=CaptureEngine.exe
WaitForExe3=CaptureMF.exe
DirectoryMoveOK=yes
SupportsUNC=yes

[Activate]
Registry=true

[RegistryValueWrite]
HKEY_CURRENT_USER\Software\Aiseesoft Studio\Aiseesoft Screen Recorder\Update\AutoEnabled=REG_SZ:false

[RegistryKeys]
ScreenRecorder="HKCU\Software\Aiseesoft Studio"
-=HKCU\Software\Classes\CLSID\{3E1A13C3-E458-4995-BEA6-4B9BE279D502}
-=HKCU\Software\Microsoft\Direct3D\MostRecentApplication

[RegistryValueBackupDelete]
1=HKCU\Software\Aiseesoft Studio\Installed

[DirectoriesMove]
ScreenRecorder=%LOCALAPPDATA%\Aiseesoft Studio\Aiseesoft Screen Recorder
;Record=%USERPROFILE%\Documents\Aiseesoft Studio

[DirectoriesCleanupIfEmpty]
1=%LOCALAPPDATA%\Aiseesoft Studio
2=%DOCUMENTS%\Aiseesoft Studio\Snapshot
3=%DOCUMENTS%\Aiseesoft Studio
4=%ALLUSERSAPPDATA%\Aiseesoft Studio

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\settings\ScreenRecorder.reg
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%\\

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\ScreenRecorder.reg
Find=%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\settings\ScreenRecorder.reg
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\
